Db::get_open_flags()
Prev | Chapter 2. The Db Handle | Next

## Db::get_open_flags()

    #include <db_cxx.h>

    int
    Db::get_open_flags(u_int32_t *flagsp);

The `Db::get_open_flags()` method returns the current open method flags. That is, this method returns the flags that were specified when Db::open() was called.

The `Db::get_open_flags()` method may not be called before the `Db::open()` method is called.

The `Db::get_open_flags()` method either returns a non-zero error value or throws an exception that encapsulates a non-zero error value on failure, and returns 0 on success.

### Parameters

#### flagsp

The `Db::get_open_flags()` method returns the current open method flags in flagsp.

### Class

Db

### See Also

Database and Related Methods

Prev | Up | Next
Db::get_multiple() | Home | Db::get_partition_callback()